package com.liang.controller;

import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author liuxingyu01
 * @date 2021-04-27-18:43
 **/
@Api(tags = "后台管理端--组件专区")
@Controller
@RequestMapping("/component")
public class ComponentsController {


    @GetMapping("/html404")
    public String html404() {
        return "components/404";
    }

    @GetMapping("/html500")
    public String html500() {
        return "components/500";
    }

    @GetMapping("/area")
    public String area() {
        return "components/area";
    }

    @GetMapping("/button")
    public String button() {
        return "components/button";
    }

    @GetMapping("/colorSelect")
    public String colorSelect() {
        return "components/color-select";
    }

    @GetMapping("/editor")
    public String editor() {
        return "components/editor";
    }

    @GetMapping("/form")
    public String form() {
        return "components/form";
    }

    @GetMapping("/formStep")
    public String formStep() {
        return "components/form-step";
    }

    @GetMapping("/icon")
    public String icon() {
        return "components/icon";
    }

    @GetMapping("/iconPicker")
    public String iconPicker() {
        return "components/icon-picker";
    }

    @GetMapping("/layer")
    public String layer() {
        return "components/layer";
    }

    @GetMapping("/login1")
    public String login1() {
        return "components/login-1";
    }

    @GetMapping("/login2")
    public String login2() {
        return "components/login-2";
    }

    @GetMapping("/login3")
    public String login3() {
        return "components/login-3";
    }

    @GetMapping("/menu")
    public String menu() {
        return "/components/menu";
    }

    @GetMapping("/setting")
    public String setting() {
        return "components/setting";
    }

    @GetMapping("/table")
    public String table() {
        return "components/table";
    }

    @GetMapping("/tableAdd")
    public String tableAdd() {
        return "components/table/add";
    }

    @GetMapping("/tableEdit")
    public String tableEdit() {
        return "components/table/edit";
    }

    @GetMapping("/tableSelect")
    public String tableSelect() {
        return "components/table-select";
    }

    @GetMapping("/upload")
    public String upload() {
        return "components/upload";
    }

    @GetMapping("/userPassword")
    public String userPassword() {
        return "components/user-password";
    }

    @GetMapping("/userSetting")
    public String userSetting() {
        return "components/user-setting";
    }

    @GetMapping("/welcome1")
    public String welcome1() {
        return "components/welcome-1";
    }

    @GetMapping("/welcome2")
    public String welcome2() {
        return "components/welcome-1";
    }

    @GetMapping("/welcome3")
    public String welcome3() {
        return "components/welcome-3";
    }

}
